import request from '@/utils/request'

// 首页数据
export function getIndex() {
	return request.get({ url: '/item/index' }, { isAuth: true })
}

// 详情
export function getDetail(data : any) {
	return request.get({ url: '/item/detail', data }, { isAuth: true })
}

// 合同
export function getContract(data : any) {
	return request.get({ url: '/item/contract', data }, { isAuth: true })
}

//投资
export function invest(data : any) {
	return request.post({ url: '/item/invest', data }, { isAuth: true })
}

//投资记录
export function recordLists(data : any) {
	return request.get({ url: '/item/recordLists', data }, { isAuth: true })
}